Skip Menu |
 

This queue is for tickets about the CPAN-SQLite CPAN distribution.

Report information
The Basics
Id: 63732
Status: stalled
Priority: 0/
Queue: CPAN-SQLite

People
Owner: Nobody in particular
Requestors: eternaleye [...] gmail.com
Cc:
AdminCc:

Bug Information
Severity: Wishlist
Broken in: 0.199
Fixed in: (no value)



Subject: CPAN::SQlite only supports indexing the newest release of any given distribution
Date: Wed, 8 Dec 2010 02:12:21 -0800
To: bug-CPAN-SQLite [...] rt.cpan.org
From: Alex Elsayed <eternaleye [...] gmail.com>
Download (untitled) / with headers
text/plain 810b
I'm currently working on adding support for CPAN to the Paludis package manager by way of generating a repository of JSON files containing the information Paludis needs. To do this, I am using CPANDB::Generator and using the sqlite database it creates directly in my script, but I am running afoul of the problem that only one version of each dist is indexed. This is suboptimal from a packaging perspective, as there are several usecases in which someone may want to install an older version. (a regression, etc). The source of this limitation appears to be CPAN::SQlite. Is there any chance of adding support for multiple versions of a given distribution to CPAN::SQlite? Is there anything I can do to help this happen? The relevant ticket for CPANDB is https://rt.cpan.org/Public/Bug/Display.html?id=63731


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.